Jump to content
Guest John Dory

How do I draw a bolt head?

Recommended Posts

Guest John Dory

i need to draw a bolt head for the scaffolding jack i am designing in 3d i am fine with the thread but getting the chamfered corners in 3d i have no idea

Share this post


Link to post
Share on other sites
fuccaro

Hello John Dory!

First draw a rectangle from the center of the head (the yellow one in the first image)

 

hex1.gif

 

Rotate it with 30%%d around of the midpoint of the hexagon's edge

 

hex2.gif

 

Revolve it around of the bolt's axis. Subtract the yellow solid from the hexagonal prysm.

 

hex3.gif

 

hex4.gif

Share this post


Link to post
Share on other sites
Guest John Dory

holy crap thats crazy and easy to follow

how long you been using cad

thanks a lot hey

Share this post


Link to post
Share on other sites
CADTutor
Rotate it with 30%%d around of the midpoint of the hexagon's edge

 

Good work fuccaro! You may notice that AutoCAD text code doesn't work on the forum :lol:

Share this post


Link to post
Share on other sites
fuccaro

I am a keyboard man. It is not for the first time when I write "AutoCAD like" in this Forum. I assume that our readers did understand...

 

CADTutor

Do you have any suggestion on how to enter special characters here?

Share this post


Link to post
Share on other sites
neilma

Hi Fuccaro,

 

There's a simple windows based method to enter special characters like �, �, � etc.

 

1. Find the windows Character Map (Mine is; Start Button>Programs>Accessories>Character Map)

2. My Dialogue box defaults to show the Arial TTfont

3. Click on the character you would like to insert, eg �, you will notice in the bottom right corner a message like "Keystroke: Alt+0216" will display

4. Now, return to the application you would like the special character to appear in and hold down the 'Alt' key and enter the 4 digit code (0216) on the calc pad of your keyboard (If you use the number keys along the top, it will not work) and when you release the alt key the character should appear.

 

I have a prompt list of common characters stuck on my monitor for me to refer too.

Because this is a windows based character map you can use this combination to put special characters in all win based programs, Word, Excel, Powerpoint etc, it also works in AutoCAD's Text editors.

 

Regards,

Neil

Share this post


Link to post
Share on other sites
fuccaro

Thank you Neilma

 

hold down the 'Alt' key and enter the 4 digit code

Let's try to make things simple; how about the copy/paste method?

here is a try:

 

Share this post


Link to post
Share on other sites
neilma
I have a prompt list of common characters stuck on my monitor for me to refer too.

 

I use the Alt+(number) for my favorite characters, it saves me opening the Character map each time.

But Cut & Paste is an excellent method too. You could assign a keyboard shortcut to open the Character map dialogue box (eg. I use Ctrl+Alt & A for AutoCAD and Ctrl+Alt & E for win Explorer, perhaps Ctrl+Alt & M for Map?)

 

Regards,

Neil

Share this post


Link to post
Share on other sites
David Bethel

Or you can automate the process. -David

 


(defun c:bolthead (/ d r z)

(initget 7)
(setq d (getdist "\nWrench Size:   "))
(setq r (* d 0.5))

(initget 7)
(setq z (getdist "\nBolt Side Height:   "))

(entmake (list (cons 0 "POLYLINE")(cons 66 1)(cons 10 (list 0 0 0))(cons 70 64)(cons 71 159)(cons 72 80)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.45) (* r 0.77942286) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.57850885) (* r 0.68944) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.57850885) (* r 0.68944) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.68944) (* r 0.57850885) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.68944) (* r 0.57850885) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.77942286) (* r 0.45) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.77942286) (* r 0.45) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.84572336) (* r 0.30781813) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.84572336) (* r 0.30781813) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.88632698) (* r 0.15628336) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.88632698) (* r 0.15628336) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.9) (* r 0) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.9) (* r 0) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.88632698) (* r -0.15628336) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.88632698) (* r -0.15628336) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.84572336) (* r -0.30781813) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.84572336) (* r -0.30781813) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.77942286) (* r -0.45) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.77942286) (* r -0.45) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.68944) (* r -0.57850885) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.68944) (* r -0.57850885) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.57850885) (* r -0.68944) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.57850885) (* r -0.68944) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.45) (* r -0.77942286) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.45) (* r -0.77942286) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.30781813) (* r -0.84572336) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.30781813) (* r -0.84572336) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.15628336) (* r -0.88632698) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.15628336) (* r -0.88632698) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0) (* r -0.9) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0) (* r -0.9) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.15628336) (* r -0.88632698) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.15628336) (* r -0.88632698) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.30781813) (* r -0.84572336) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.30781813) (* r -0.84572336) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.45) (* r -0.77942286) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.45) (* r -0.77942286) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57850885) (* r -0.68944) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57850885) (* r -0.68944) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.68944) (* r -0.57850885) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.68944) (* r -0.57850885) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.77942286) (* r -0.45) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.77942286) (* r -0.45) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.84572336) (* r -0.30781813) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.84572336) (* r -0.30781813) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.88632698) (* r -0.15628336) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.9) (* r 0) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.88632698) (* r 0.15628336) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.88632698) (* r 0.15628336) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.84572336) (* r 0.30781813) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.84572336) (* r 0.30781813) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.77942286) (* r 0.45) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.77942286) (* r 0.45) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.68944) (* r 0.57850885) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.68944) (* r 0.57850885) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.45) (* r 0.77942286) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.30781813) (* r 0.84572336) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.30781813) (* r 0.84572336) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.15628336) (* r 0.88632698) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.15628336) (* r 0.88632698) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0) (* r 0.9) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0) (* r 0.9) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.15628336) (* r 0.88632698) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.15628336) (* r 0.88632698) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.30781813) (* r 0.84572336) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0) (* r 0) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -1.15470054) (* r 0) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.57735027) (* r -1) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 1.15470054) (* r 0) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 1.15470054) (* r 0) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.9) (* r 0) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 1.05847549) (* r 0.16666667) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.88632698) (* r 0.15628336) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.96225045) (* r 0.33333333) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.84572336) (* r 0.30781813) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.8660254) (* r 0.5) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.77942286) (* r 0.45) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.76980036) (* r 0.66666667) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.68944) (* r 0.57850885) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.57735027) (* r 1) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.67357531) (* r 0.83333333) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.57850885) (* r 0.68944) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.45) (* r 0.77942286) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.57735027) (* r -1) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.45) (* r -0.77942286) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.67357531) (* r -0.83333333) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.57850885) (* r -0.68944) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.76980036) (* r -0.66666667) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.68944) (* r -0.57850885) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.8660254) (* r -0.5) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.77942286) (* r -0.45) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.96225045) (* r -0.33333333) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.84572336) (* r -0.30781813) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 1.15470054) (* r 0) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 1.05847549) (* r -0.16666667) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.88632698) (* r -0.15628336) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.9) (* r 0) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r -1) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.45) (* r -0.77942286) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.38490018) (* r -1) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.30781813) (* r -0.84572336) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.19245009) (* r -1) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.15628336) (* r -0.88632698) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0) (* r -1) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0) (* r -0.9) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.19245009) (* r -1) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.15628336) (* r -0.88632698) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.57735027) (* r -1) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.38490018) (* r -1) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.30781813) (* r -0.84572336) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.45) (* r -0.77942286) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -1.15470054) (* r 0) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.9) (* r 0) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -1.05847549) (* r -0.16666667) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.88632698) (* r -0.15628336) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.96225045) (* r -0.33333333) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.84572336) (* r -0.30781813) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.8660254) (* r -0.5) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.77942286) (* r -0.45) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.76980036) (* r -0.66666667) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.68944) (* r -0.57850885) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r -1) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.67357531) (* r -0.83333333) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57850885) (* r -0.68944) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.45) (* r -0.77942286) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.45) (* r 0.77942286) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.67357531) (* r 0.83333333) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57850885) (* r 0.68944) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.76980036) (* r 0.66666667) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.68944) (* r 0.57850885) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.8660254) (* r 0.5) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.77942286) (* r 0.45) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.96225045) (* r 0.33333333) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.84572336) (* r 0.30781813) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -1.15470054) (* r 0) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -1.05847549) (* r 0.16666667) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.88632698) (* r 0.15628336) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.9) (* r 0) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.57735027) (* r 1) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.45) (* r 0.77942286) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.38490018) (* r 1) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.30781813) (* r 0.84572336) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.19245009) (* r 1) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.15628336) (* r 0.88632698) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0) (* r 1) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0) (* r 0.9) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.19245009) (* r 1) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.15628336) (* r 0.88632698) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.38490018) (* r 1) z))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.30781813) (* r 0.84572336) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.45) (* r 0.77942286) (+ z (* z 0.125))))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r -1) 0))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.57735027) (* r -1) 0))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -1.15470054) (* r 0) 0))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 1.15470054) (* r 0) 0))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r 0.57735027) (* r 1) 0))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 192)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -159)(cons 72 -158)(cons 73 -157)(cons 74 -156)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -156)(cons 72 -157)(cons 73 -155)(cons 74 -154)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 153)(cons 72 152)(cons 73 151)(cons 74 150)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 152)(cons 72 149)(cons 73 148)(cons 74 151)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 149)(cons 72 147)(cons 73 146)(cons 74 148)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 147)(cons 72 145)(cons 73 144)(cons 74 146)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 145)(cons 72 143)(cons 73 142)(cons 74 144)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 143)(cons 72 141)(cons 73 140)(cons 74 142)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 139)(cons 72 138)(cons 73 137)(cons 74 136)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 138)(cons 72 135)(cons 73 134)(cons 74 137)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 135)(cons 72 133)(cons 73 132)(cons 74 134)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 133)(cons 72 131)(cons 73 130)(cons 74 132)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 131)(cons 72 129)(cons 73 128)(cons 74 130)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 129)(cons 72 127)(cons 73 126)(cons 74 128)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 125)(cons 72 124)(cons 73 123)(cons 74 122)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 124)(cons 72 121)(cons 73 120)(cons 74 123)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 121)(cons 72 119)(cons 73 118)(cons 74 120)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 119)(cons 72 117)(cons 73 116)(cons 74 118)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 117)(cons 72 115)(cons 73 114)(cons 74 116)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 115)(cons 72 113)(cons 73 112)(cons 74 114)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 111)(cons 72 110)(cons 73 109)(cons 74 108)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 110)(cons 72 107)(cons 73 106)(cons 74 109)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 107)(cons 72 105)(cons 73 104)(cons 74 106)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 105)(cons 72 103)(cons 73 102)(cons 74 104)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 103)(cons 72 101)(cons 73 100)(cons 74 102)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 101)(cons 72 99)(cons 73 98)(cons 74 100)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 97)(cons 72 96)(cons 73 95)(cons 74 94)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 96)(cons 72 93)(cons 73 92)(cons 74 95)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 93)(cons 72 91)(cons 73 90)(cons 74 92)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 91)(cons 72 89)(cons 73 88)(cons 74 90)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 89)(cons 72 87)(cons 73 86)(cons 74 88)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 87)(cons 72 85)(cons 73 84)(cons 74 86)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 83)(cons 72 82)(cons 73 81)(cons 74 80)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 82)(cons 72 79)(cons 73 78)(cons 74 81)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 79)(cons 72 77)(cons 73 76)(cons 74 78)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 77)(cons 72 75)(cons 73 74)(cons 74 76)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 75)(cons 72 73)(cons 73 72)(cons 74 74)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 73)(cons 72 71)(cons 73 70)(cons 74 72)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 158)(cons 72 140)(cons 73 150)(cons 74 159)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 157)(cons 72 69)(cons 73 140)(cons 74 158)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 155)(cons 72 68)(cons 73 69)(cons 74 157)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 154)(cons 72 122)(cons 73 68)(cons 74 155)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 156)(cons 72 67)(cons 73 122)(cons 74 154)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 159)(cons 72 150)(cons 73 67)(cons 74 156)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -66)(cons 72 -66)(cons 73 141)(cons 74 -143)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -66)(cons 72 -66)(cons 73 65)(cons 74 -64)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -66)(cons 72 -66)(cons 73 63)(cons 74 -62)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -66)(cons 72 -66)(cons 73 61)(cons 74 -60)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -66)(cons 72 -66)(cons 73 59)(cons 74 -58)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -66)(cons 72 -66)(cons 73 57)(cons 74 -56)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -66)(cons 72 -66)(cons 73 127)(cons 74 -129)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -66)(cons 72 -66)(cons 73 129)(cons 74 -55)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -66)(cons 72 -66)(cons 73 54)(cons 74 -53)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -66)(cons 72 -66)(cons 73 52)(cons 74 -51)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -66)(cons 72 -66)(cons 73 50)(cons 74 -49)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -66)(cons 72 -66)(cons 73 48)(cons 74 -47)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -66)(cons 72 -66)(cons 73 113)(cons 74 -115)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -66)(cons 72 -66)(cons 73 46)(cons 74 -45)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -66)(cons 72 -66)(cons 73 44)(cons 74 -43)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -66)(cons 72 -66)(cons 73 42)(cons 74 -41)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -66)(cons 72 -66)(cons 73 40)(cons 74 -39)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -66)(cons 72 -66)(cons 73 38)(cons 74 -37)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -66)(cons 72 -66)(cons 73 36)(cons 74 -35)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -66)(cons 72 -66)(cons 73 34)(cons 74 -33)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -66)(cons 72 -66)(cons 73 32)(cons 74 -31)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -66)(cons 72 -66)(cons 73 30)(cons 74 -29)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -66)(cons 72 -66)(cons 73 28)(cons 74 -27)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -66)(cons 72 -66)(cons 73 26)(cons 74 -25)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -66)(cons 72 -66)(cons 73 24)(cons 74 -23)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -66)(cons 72 -66)(cons 73 22)(cons 74 -21)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -66)(cons 72 -66)(cons 73 20)(cons 74 -19)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -66)(cons 72 -66)(cons 73 18)(cons 74 -17)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -66)(cons 72 -66)(cons 73 16)(cons 74 -15)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -66)(cons 72 -66)(cons 73 14)(cons 74 -13)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -66)(cons 72 -66)(cons 73 12)(cons 74 -11)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -66)(cons 72 -66)(cons 73 10)(cons 74 -9)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -66)(cons 72 -66)(cons 73 (cons 74 -7)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -66)(cons 72 -66)(cons 73 6)(cons 74 -5)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -66)(cons 72 -66)(cons 73 4)(cons 74 -3)))
(entmake (list (cons 0 "VERTEX")(cons 10 (list (* r -0.57735027) (* r 1) 0))(cons 70 128)(cons 71 -66)(cons 72 -66)(cons 73 2)(cons 74 -1)))
(entmake (list (cons 0 "SEQEND")))

(entlast))

Share this post


Link to post
Share on other sites
hyposmurf

That lisp is enough to send you bog eyed if you look at it long enough :)

Share this post


Link to post
Share on other sites
M1CGP

Well can anybody let us know what the missing code was?

 

Rotate it with 30%%d around of the midpoint of the hexagon's edge

 

I think i know but not sure.

 

David

Share this post


Link to post
Share on other sites
dbroada

%%d is AutoCAD for degrees symbol. The others to look out for are %%c for diameter symbol and (I think) %%p for a plus/minus one.

Share this post


Link to post
Share on other sites
boofredlay

I ♠ my dog.

 

Hey neat... Thanks.

Share this post


Link to post
Share on other sites
BOOJAN

AAAAAAAAAAAAAAAAAAAAAAAAAH i cant do it :S

Share this post


Link to post
Share on other sites
Cad64

Ok, what can't you do?

We can't help you if you don't tell us what the problem is? :roll:

Share this post


Link to post
Share on other sites
BOOJAN
Ok, what can't you do?

We can't help you if you don't tell us what the problem is? :roll:

 

i get to that

"Revolve it around of the bolt's axis."

 

and i cant revolve it around its axis

Share this post


Link to post
Share on other sites
Cad64

As shown in the screenshot below, draw some temporary lines to find the bolts center. The blue line, drawn from midpoint to midpoint will give you the bolts center. The red line, drawn from the midpoint of the blue line, represents the center axis. You can use this line as your axis of revolution. Revolve the rectangle around the red line.

Revolve2.jpg

Share this post


Link to post
Share on other sites
BOOJAN
As shown in the screenshot below, draw some temporary lines to find the bolts center. The blue line, drawn from midpoint to midpoint will give you the bolts center. The red line, drawn from the midpoint of the blue line, represents the center axis. You can use this line as your axis of revolution. Revolve the rectangle around the red line.

 

after all...it is easy when you know what are you doing :roll:...i draw it without any problems now...:shock:

Share this post


Link to post
Share on other sites
fuccaro

When it asks me for the axis I enter the first point as beeing the middle between two opposite corners of the hexagon (from the right-click menu), and as second point of the axe: @0,0,1 -that will put a point one unit above the previous one, in Z dirrection.

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.


×
×
  • Create New...